2009-09-30 Arjan Bouter <abouter@sourcemage.org>
	* DEPENDS: use INITSCRIPTS provider

2009-01-06 George Sherwood <gsherwood@sourcemage.org>
	* PRE_BUILD: Added patch build error. Bug #15009
	* net-tool-NULL-error.patch: gentoo patch for gcc 4.3.x build error

2008-02-03 Vlad Glagolev <stealth@sourcemage.org>
	* DEPENDS: netconf is useless

2008-01-30 David Kowis <dkowis@shlrm.org>
	* DEPENDS: removed dependencies that aren't needed anymore
	* PREPARE: added to do all the magic for updating systems to the new ifupdown
	* UP_TRIGGERS: makes ifupdown cast right after this one, but only the first time
	* if*: removed all the ifupdown stuff
	* init.d: removed the initscripts

2008-01-28 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* BUILD: removed is_depends_enabled.function reference

2008-01-23 Vlad Glagolev <stealth@sourcemage.org>
	* init.d/network: fixed a weird bug ([DEVICE] was useless, now it works)

2007-09-05 David Brown <dmlb2000@gmail.com>
	* DETAILS: patchlevel++

2007-09-04 David Brown <dmlb2000@gmail.com>
	* ifup, ifdown: added BRIDGE_PORTS for creating bridges around 
	  interfaces.

2007-09-01 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* CONFIGURE: fixed typo #13970

2007-05-14 David Kowis <dkowis@shlrm.org>
	* ifup, ifdown: fixing the stupidity with these things, bug 13773
	* DETAILS: PATCHLEVEL++

2007-04-01 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PRE_BUILD, kernel-headers.patch: patch to make it compile with
	  vanilla kernel headers

2007-03-09 Thomas Orgis <sobukus@sourcemage.org>
	* ifdown, DETAILS: fix ifdown to work with bash 3.2
	  (no quoting of regex pattern), PATCHLEVEL++

2007-02-17 Pol Vinogradov <vin.public@gmail.com>
	* BUILD: added gettext stuff handling
	* CONFIGURE: removed GETTEXT query, added missing &&
	* DETAILS: added KEYWORDS, PATCHLEVEL++

2007-02-16 Arjan Bouter <abouter@sourcemage.org>
	* ifup: removed debug output when syslog is used

2006-12-19 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* init.d/mountnetwork.conf: added 9p
	* DETAILS: patchlevel++

2006-12-06 Flavien Bridault <vlaaad@sourcemage.org>
	* ifup, ifdown: Fixed wrong path for dhcpcd pid files, temp files
	  should anyway go in /var not in /etc

2006-09-21 Juuso Alasuutari <iuso@sourcemage.org>
	* DETAILS: [automated] Removed BUILD_API=2.

2006-09-07 Arjan Bouter <abouter@sourcemage.org>
	* ifup: re-added the right WIFI options

2006-06-09 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated PATCHLEVEL to 2
	  Removed UPDATED
	* init.d/mountnetwork.conf: Added "cifs" as a network filesystem to mount
	  Added "cifs" to allowable keywords

2006-03-16 Arwed v. Merkatz <v.merkatz@gmx.net>
	* CONFIGURE, DEPENDS: disable decnet support as it's broken,
	  fixes bug #8922

2006-03-12 Juuso Alasuutari <iuso@sourcemage.org>
	* DETAILS: ...almost forgot PATCHLEVEL.

2006-03-12 Juuso Alasuutari <iuso@sourcemage.org>
	* ifdown: Fixed borkage resulting from new $MODE values in 
	  netconf's .dev files.

2006-03-06 Arjan Bouter <abouter@sourcemage.org>
	* ifup, ifdown: added custom MAC and dhcp hostname options
	* ifup.8.gz, ifdown.8.gz: manpages added

2006-02-12 David Brown <dmlb2000@gmail.com>
	* BUILD: added patch for double-free-nameif.patch
	* double-free-nameif.patch: added

2006-02-08 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depends on smgl-fhs (for directory structure)

2006-02-06 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depends on gnupg (for SOURCE verification)

2005-11-29 Seth Woolley <seth@tautology.org>
	* DETAILS: MD5 -> SHA512

2005-10-21 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depend on libdnet if building DECnet support
	  (thanks to Jiri Golembiovsky <golemj@gmail.com>)

2005-04-28 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated UPDATED
	* DEPENDS: Depends on coreutils  (Bug #7089)

2005-04-23 Sergey Lipnevich <sergey@sourcemage.org>
	* ifup: several improvements in the script:
	  1. The key number goes after the key;
	  2. Use "commit" for iwconfig;
	  3. Use "-n" instead of "! -z" everywhere;
	  4. Use conditionals that don't generate a call to "[" executable
	    (internal bash comparisons with double backets "[[...]]");
	  5. Declare variables as "local;"
	  6. Don't compare with empty string, use "-z" instead;
	  7. Consistently use "&& call" one-liner instead of "if ...; then call; fi"

2005-04-19 Arwed v. Merkatz <v.merkatz@gmx.net>
	* ifup: fix '||' missing in a line leading to an error message for every
	  ifup call

2005-04-08 Arjan Bouter <abouter@sourcemage.org>
	* ifup: added options to change the MAC and
	  support for custom options

2005-04-07 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Removed MAKE_NJOBS=1
	* BUILD: Run make_single before make
	* INSTALL: Run make_normal before make install

2005-04-07 Arjan Bouter <abouter@sourcemage.org>
	* ifup: support better handling of keys
	* ifdown: removed useless 'unset WIFI'

2005-04-04 Arjan Bouter <abouter@sourcemage.org>
	* ifup: added more wifi options

2005-04-03 Arjan Bouter <abouter@sourcemage.org>
	* wireless support was ripped out by someone,
	  re-add wifi support
	* DEPENDS: added dhcpcd and wireless_tools as optional

2004-12-08 Arjan Bouter <abouter@sourcemage.org>
	* ifup, ifdown: added wireless support

2004-12-08 Robert Helgesson <rhelgesson@sourcemage.org>
	* init.d/mountnetwork: Handle empty FILESYSTEMS variable gracefully.

2004-06-27 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: BUILD_API=2
	  Made SHORT shorter
	* BUILD: Convert to BUILD_API 2
	  Pass variables from CONFIGURE to ./configure.sh
	  No longer remove .temp files (not created anymore)
	  Do not copy $CONFIG_CACHE/config* files
	* INSTALL: Add
	* CONFIGURE: Convert to use Sorcery's config_query and remove
	  the old config hacks
	* configure.sh,config.in: Remove

2004-05-30 Robert Helgesson <rhelgesson@sourcemage.org>
	* init.d/mountnetwork: Fixed bug #6883.
	* init.d/mountnetwork.conf: Added. Allows configuration of which
	  filesystems that will be mounted.

2004-05-29 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD, gcc-3.4.patch: fix compilation with gcc 3.4

2004-04-27 Eric Schabell <eschabell@sourcemage.org>
	* ifup: removed ending &&'s, fouls up route adding gw's.

2004-02-06 Eric Schabell <eschabell@sourcemage.org>
	* ifup: uses 'gw' in route_up instead of 'gateway', bug #5665.

2004-01-25 Robert Helgesson <rhelgesson@sourcemage.org>
	* BUILD: Fixed bug #5592 with a sedit.

2004-01-19 Robert Helgesson <rhelgesson@sourcemage.org>
	* init.d/dhcpcd.conf: Adds a little info about the OPTIONS
	  variable (bug #5519).
	* HISTORY: Fit to 80 column display.

2004-01-14 hgg <hgreig@bigpond.net.au>
	* BUILD,x25_address-fix.patch: patch to correctly compile if 2.6.0
	  headers are used

2003-12-02 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Use INSTALL_ROOT

2003-11-07 hgg <hgreig@bigpond.net.au>
	* TRIGGERS: remove now the hostname script has been fixed to be
	  compatible with coreutils hostname

2003-11-05 Casey Harkins <charkins@pobox.com>
	* DETAILS: Update UPDATED to force ifup and init.d/network fixes

2003-10-30 Casey Harkins <charkins@pobox.com>
	* ifup: added device_is_up() (bug #4594)
	* init.d/network: fixed _OBEY_UP_ON_BOOT (bug #4593)

2003-10-10 Robert Helgesson <rycee@home.se>
	* HISTORY: Converted to new format.
	* init.d/dhcpcd.conf: Added OPTIONS to allow user-specified command
	  line options for dhcpcd (bug #4512).
	* ifup: Added support for OPTIONS variable (bug #4512).

2003-10-03 Robert Helgesson <rycee@home.se>
	* ifup, ifdown: Modified to work with interface aliases (bug #4286)

2003-09-23 Eric Sandall <sandalle@sourcemage.org>
	* ifup: Fix from Robert

2003-09-23 Robert Helgesson <rycee@home.se>
	* Update of network device file format, completely backwards
	  compatible. You can now define the following functions in a device
	  file (found in /etc/sysconfig/network): do_device_up,
	  do_device_down, do_route_up, do_route_down, do_status, on_up and
	  on_down. The following new variables are also available: MTU,
	  POINTOPOINT and UP_ON_BOOT.

2003-09-19 Seth Woolley <seth@tautology.org>
	* init.d/network: fixed script to not inherit echo override when
	  running ifup/ifdown subscripts.

2003-09-16 Robert Helgesson <rycee@home.se>
	* init.d/dhcpcd.conf: added which allows the user to specify whether syslog
	  should be used and how long the timeout should be, also fixes bug #4253.

2003-08-27 Robert Helgesson <rycee@home.se>
	* ifup, ifdown: fixed (bug #3959, #4165)

2003-08-27 Ladislav Hagara <hgr@vabo.cz>
	* init.d/mountnetwork: echo in mountnetwork script must be without option
	  "-n"
	  before:
	  Starting sshd...filesystems...
	  now:
	  Mounting remote filesystems...
	  Starting sshd...

2003-08-26 Eric Schabell <eschabell@sourcemage.org>
	* ifdown: fixed problem, probing the modules table was resulting in
	  double entries being returned, now unique and networking goes down
	  (thanks to basvg).

2003-08-22 Robert Helgesson <rycee@home.se>
	* init.d/network: fixed bug #3959
	  network init script now uses required_executable

2003-08-22 hgg <hgreig@bigpond.net.au>
	* DETAILS: Update UPDATED purely for test grimoire integration.

2003-08-03 Seth Woolley <seth@tautology.org>
	* init.d/*: Changed to support init script logging.

2003-08-01 Eric Sandall <sandalle@sourcemage.org>
	* init.d/network: (when using dhcpcd) uses syslog (dhcpcd -d)
	  Still need to make loading modules not display all the information,
	  should use syslog (modprobe -s), but that still doesn't help, nor
	  does '-q' (at least with my 3c59x)

2003-07-31 Eric Sandall <sandalle@sourcemage.org>
	* init.d/mountnetwork: Added to mount networked filesystems, such as
	  NFS, SaMBa, etc.

2003-07-28 Arwed v. Merkatz <v.merkatz@gmx.net>
	* init.d/*: updated to new init system
	* hostname.sh: now installed by init.d

2003-07-27 Robert Helgesson <rycee@home.se>
	* init.d/network: applied patch from Arwed (bug #3842)
	  modified networking init script to use ifup and ifdown
	  added some &&-chains to ifup/ifdown plus some cosmetic changes

2003-07-25 Arwed v. Merkatz <v.merkatz@gmx.net>
	* ifup, ifdown: added scripts

2003-07-23 Eric Sandall <sandalle@sourcemage.org>
	* Added fix from Craig Dyke for unloading modules
	* DETAILS: Fails with multiple jobs
	  Added LICENSE[0]

2003-07-22 Casey Harkins <charkins@pobox.com>
	* netconf: Moved netconf tool to its own spell, added netconf to DEPENDS and
	  removed netconf installation line from BUILD.

2003-07-18 hgg <hgreig@bigpond.net.au>
	* TRIGGERS: Add TRIGGER on coreutils as they both provide hostname but this
	  one works

2003-07-12 Eric Sandall <sandalle@sourcemage.org>
	* init.d/network: No longer says "Starting /etc/rc3.d/S30networking..." :)

2003-06-26 Eric Schabell <eschabell@sourcemage.org>
	* Applied fixes as given by Casey in bug #3531, which fixes this bug!
	  Finally! ;-)

2003-06-19 Casey Harkins <charkins@pobox.com>
	* netconf: Added netconf tool for configuring network devices. The tool is
	  installed in /usr/sbin from BUILD. The "configure network devices"
	  prompt was moved from CONFIGURE into POST_INSTALL and simply calls
	  /usr/sbin/netconf when the user answers yes. Removed lib_netsetup as
	  it is no longer needed. This and a patch to the installer should
	  resolve bug #3531.

2003-05-20 Eric Sandall <sandalle@sourcemage.org>
	* Fixed Bug #3342

2003-05-09 Eric Schabell <eschabell@sourcemage.org>
	* Removed the networking, redid that change with integration, now
	  history made it with the change.
	* Also applied patch to fix bug #3304.

2003-05-01 Rob Verkuylen <rob@verkuylen.net>
	* Copied /init.d/networking.sh to /init.d/networking
	  Step 1/3 in bug#: 3115

2003-04-18 Robert Helgesson <rycee@home.se>
	* configure.sh: make sure config.make is saved

2003-04-07 Robert Helgesson <rycee@home.se>
	* added query whether network device setup should be displayed
	  fixed a syntax error in lib_netsetup

2003-03-08 Eric Sandall <sandalle@sourcemage.org>
	* Fixed some of Bug #2711 by commenting out the removal
	  of /etc/sysconfig/network

2003-03-06 Eric Schabell <eschabell@sourcemage.org>
	* whoops, we still need lib_netsetup, put back
	  fixes bug #2711, sorry guys. Also have fixed
	  problem with install_network function so it
	  now also works when /etc/sysconfig/network dir
	  exists.
	* OOOPS: just caught mistake in lib_netsetup... fixed.

2003-02-24 Eric Schabell <eschabell@sourcemage.org>
	* updated .sh to work with SMGL-and removed lib_runlevel,
	  now part of sorcery.

2003-02-16 Robert Helgesson <rycee@home.se>
	* fix savetime in lib_netsetup ( %k -> %H )
	  removed lib_runlevel
	* BUILD: cleaned up BUILD a little
	  partially applied patch from M.L (bug #2581)

2003-02-15 Robert Helgesson <rycee@home.se>
	* DETAILS: updated UPDATED to force recompile

2003-02-02 Robert Helgesson <rycee@home.se>
	* BUILD: updated the way CFLAGS are passed to make
	  added support for LDFLAGS to enable stripping and such

2003-01-25 Robert Helgesson <rycee@home.se>
	* CONFIGURE: Do the net-tools config in CONFIGURE (bug #1878)

2003-01-17 Robert Helgesson <rycee@home.se>
	* init.d/networking.sh: Some fixes to networking.sh (bug #2246,
	  thanks sybex@hotmail.com) Fix date call in lib_runlevel (bug #2256)

2002-10-21 neal birch <nealbirch@attbi.com>
	* init.d/networking.sh: Updated to include the latest networking.sh with the
	  functions scriptand added init.d as depends. Massive changes to include
	  gathering info on nic cards and other changes. Added lib_netsetup
	  and lib_runlevel files.

2002-08-07 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Added MD5
	* USEGCC2: Fixed Bug # 589 (builds fine with gcc3)
	* HISTORY: Added HISTORY
